Name:           jaxb-fi
Version:        2.1.0
Release:        1%{?dist}
Summary:        Implementation of the Fast Infoset Standard for Binary XML
# jaxb-fi is licensed ASL 2.0 and EDL-1.0 (BSD)
# bundled org.apache.xerces.util.XMLChar.java is licensed ASL 1.1
License:        ASL 2.0 and BSD and ASL 1.1
URL:            https://github.com/eclipse-ee4j/jaxb-fi
BuildArch:      noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:         0001-Port-to-jaxb-xsom-4.0.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.xml.stream.buffer:streambuffer)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api:2.1.0)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.jaxb:xsom)

%description
Fast Infoset Project, an Open Source implementation of the Fast Infoset
Standard for Binary XML.

The Fast Infoset specification (ITU-T Rec. X.891 | ISO/IEC 24824-1)
describes an open, standards-based "binary XML" format that is based on
the XML Information Set.

%package -n FastInfoset
Summary:        FastInfoset
%description -n FastInfoset
%{summary}.

%package -n FastInfosetRoundTripTests
Summary:        FastInfoset Roundtrip Tests
%description -n FastInfosetRoundTripTests
%{summary}.

%package -n FastInfosetSamples
Summary:        FastInfoset Samples
%description -n FastInfosetSamples
%{summary}.

%package -n FastInfosetUtilities
Summary:        FastInfoset Utilities
%description -n FastInfosetUtilities
%{summary}.

%prep
%setup -q
%patch1 -p1

find -name 'module-info.java' -type f -delete

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%mvn_package :fastinfoset-project __noinstall

%build
# Javadoc fails: error: too many module declarations found
%mvn_build -s -j

%install
%mvn_install

%files -n FastInfoset -f .mfiles-FastInfoset
%license LICENSE NOTICE.md
%doc README.md

%files -n FastInfosetRoundTripTests -f .mfiles-FastInfosetRoundTripTests
%license LICENSE NOTICE.md

%files -n FastInfosetSamples -f .mfiles-FastInfosetSamples
%license LICENSE NOTICE.md

%files -n FastInfosetUtilities -f .mfiles-FastInfosetUtilities
%license LICENSE NOTICE.md

%changelog
* Tue Jan 17 2023 Marian Koncek <mkoncek@redhat.com> - 2.1.0-1
- Initial build
